<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__pra__msg__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_pra_msg_t</compoundname>
    <includes local="no">cy_pra.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__pra__msg__t_1a5e36ed845e282a59d0aa8f72aa03567c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_pra_msg_t::praCommand</definition>
        <argsstring />
        <name>praCommand</name>
        <briefdescription>
<para>Message Type. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" bodystart="357" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" line="357" />
      </memberdef>
      <memberdef id="structcy__stc__pra__msg__t_1a35d01bb76e422a0e6972a1310bea41d8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_pra_msg_t::praIndex</definition>
        <argsstring />
        <name>praIndex</name>
        <briefdescription>
<para>Register index. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" bodystart="358" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" line="358" />
      </memberdef>
      <memberdef id="structcy__stc__pra__msg__t_1a378da2f78a03d0f31fc3ec0eadb78cd3" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__pra__enums_1ga60be13e12e82986f8c0d6c6a6d4f12c5">cy_en_pra_status_t</ref></type>
        <definition>cy_en_pra_status_t cy_stc_pra_msg_t::praStatus</definition>
        <argsstring />
        <name>praStatus</name>
        <briefdescription>
<para>Status. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" bodystart="359" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" line="359" />
      </memberdef>
      <memberdef id="structcy__stc__pra__msg__t_1a891c7dfa9bb3055ccf02261d7d39b979" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_pra_msg_t::praData1</definition>
        <argsstring />
        <name>praData1</name>
        <briefdescription>
<para>First data word. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" bodystart="360" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" line="360" />
      </memberdef>
      <memberdef id="structcy__stc__pra__msg__t_1a5ad2f739d7e830acfa7a9760bec686c4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_pra_msg_t::praData2</definition>
        <argsstring />
        <name>praData2</name>
        <briefdescription>
<para>Second data word. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" bodystart="361" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" line="361" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Message used for communication. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="362" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" bodystart="355" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" line="356" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__pra__msg__t_1a5e36ed845e282a59d0aa8f72aa03567c" virt="non-virtual"><scope>cy_stc_pra_msg_t</scope><name>praCommand</name></member>
      <member prot="public" refid="structcy__stc__pra__msg__t_1a891c7dfa9bb3055ccf02261d7d39b979" virt="non-virtual"><scope>cy_stc_pra_msg_t</scope><name>praData1</name></member>
      <member prot="public" refid="structcy__stc__pra__msg__t_1a5ad2f739d7e830acfa7a9760bec686c4" virt="non-virtual"><scope>cy_stc_pra_msg_t</scope><name>praData2</name></member>
      <member prot="public" refid="structcy__stc__pra__msg__t_1a35d01bb76e422a0e6972a1310bea41d8" virt="non-virtual"><scope>cy_stc_pra_msg_t</scope><name>praIndex</name></member>
      <member prot="public" refid="structcy__stc__pra__msg__t_1a378da2f78a03d0f31fc3ec0eadb78cd3" virt="non-virtual"><scope>cy_stc_pra_msg_t</scope><name>praStatus</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>